version: '3.8'

services:

  drutes2senslog:
    container_name: drutesSenslog1
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: DrutesSenslog1
    volumes:
#      - D:\drutes-predict:/data/drutes-predict
      - /data/drutes-predict:/data/drutes-predict
#    restart: always
    environment:
      APP_PARAMS: -cf config/drutesSenslog1.yaml
      TZ: Europe/Prague

  lora2senslog:
    container_name: loraWanSenslog1
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: LoraWanSenslog1
#    restart: always
    environment:
      APP_PARAMS: -cf config/lorawanSenslog1.yaml

  fieldclimate2senslog:
    container_name: fieldclimateSenslog1
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
         MAVEN_PROFILE: FieldClimateSenslog1
    ports:
      - "5005:5005"
#    restart: always
    environment:
        APP_PARAMS: -cf config/fieldclimateSenslog10.yaml
        DEBUG: "false"
        LOG_MONITOR: "false"

  alapan2senslog:
    container_name: alapansSenslog1
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: AlapansSenslog1
    environment:
      APP_PARAMS: -cf config/alapansSenslog.yaml

  gfs2senslog:
    container_name: gfsSenslog1
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: GfsSenslog1
    ports:
      - "5005:5005"
#    restart: always
    environment:
      APP_PARAMS: -cf config/gfsSenslog.yaml
      DEBUG: "true"

  senslog2analytics:
    container_name: senslog1Analytics
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: Senslog1Analytics
#    ports:
#      - "5005:5005"
#    restart: always
    environment:
      APP_PARAMS: -cf config/senslog1Analytics.yaml
      DEBUG: "false"

  senslogtelemetry2theros:
    container_name: senslogTelemetryTheros
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: SenslogTelemetryTheros
    ports:
      - "5005:5005"
#    restart: always
    environment:
      APP_PARAMS: -cf config/senslogTelemetryTheros.yaml
      DEBUG: "true"

  fofr2telemetry:
    container_name: fofr2telemetry
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: FofrTelemetry
    ports:
      - "5005:5005"
    environment:
      APP_PARAMS: -cf config/fofrToTelemetry.yaml
      DEBUG: "true"

  demo2logger:
    container_name: demoLogger
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: DemoLogger
    environment:
      APP_PARAMS: -cf config/demoToLogger.yaml
      DEBUG: "false"

  soilscount2senslog:
    container_name: soilscountsenslog
    build:
      dockerfile: docker/Dockerfile
      context: .
      args:
        MAVEN_PROFILE: SoilscountSenslog
    ports:
      - "5005:5005"
    environment:
      APP_PARAMS: -cf config/soilscountToSenslog.yaml
      DEBUG: "true"

